Page MenuHomePhabricator

Rename 'roa-rup' wikis to 'rup'
Open, Stalled, LowestPublic

Description

Author: contact

Description:
Aromanian's language code, as per ISO639-2 is 'rup'. In the same standard 'roa' designates 'other Romance languages'. Using 'roa-rup' for Aromanian is redundant because 'roa' and 'rup' are hierarchically same-level specifiers (for example, one uses 'ita' or 'it' for Italian, not 'roa-ita' even though Italian is also a Romance language). This affects the Aromanian Wiktionary, the Aromanian Wikipedia, and maybe others.


Version: unspecified
Severity: normal
URL: http://roa-rup.wiktionary.org/wiki/Prota_fr%C3%A3ndz%C3%A3

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedadrianheine
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedTTO
InvalidNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenBUG REPORTNone
OpenNone
DuplicateNone
StalledNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
ResolvedNone
ResolvedLadsgroup
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:18 PM
bzimport set Reference to bz15988.
bzimport added a subscriber: Unknown Object (MLST).

Recategorised (from component Bugzilla) and keyword from "crosswiki" to "shell". I do not think that language codes can be changed once assigned.

contact wrote:

It seems it can be done (check comments at bug #8217). Quite a few languages need it already (at least "nan", "och", "yue" and "rup"). If nobody implemented yet an easy way of doing this then we need help from the wise guys that could do it - I think we must have this feature.

Ugh. Ignore comment 3 please. It is!

While possible it's not very trivial at the moment. Will slate it for future sysadmin work, but don't be in a hurry; we're very swamped with new data center setup.

bugs wrote:

(In reply to comment #6)

Any update?

It's waiting for a sysadmin to have the time/energy/courage to rename all of the wikis that need it (see bug 19986).

FYI, I renamed it in MediaWiki (see r89329 and follow-up commits).

so, would that just be a change in langlist? because DNS updates from that.

in langlist i currently see:

..
roa-rup
roa-tara
..

Do you still want us to just change that from roa-rup to rup? (and is that the only place?

millosh wrote:

roa-rup should be changed to rup (while keeping roa-rup as full redirect because of compatibility).

roa-tara doesn't have ISO 639-3 code, neither even ISO 639-6.

siebrand claimed this task.

Closing this as declined. The "mo" wikis have been closed for a long time, and it's not likely they will be re-opened.

siebrand removed siebrand as the assignee of this task.
siebrand set Security to None.

Sorry, I closed the wrong task with the wrong comment.

The language is now (and has been for quite a while) identified as "rup", but the site(s) still await(s) renaming from roa-rup.domain.tdl to rup.domain.tld.

TTO renamed this task from change language tag from 'roa-rup' to 'rup' to Rename 'roa-rup' wikis to 'rup'.Aug 12 2015, 1:47 PM
hashar lowered the priority of this task from Low to Lowest.Sep 14 2016, 10:12 AM
Krinkle changed the task status from Open to Stalled.Apr 30 2017, 3:54 AM
Krinkle added a subscriber: Krinkle.

Stalled since renaming (T21986) is blocked on T145535 (e.g. T112426.).

Change 527916 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'rup' as alias for 'roa-rup'

https://gerrit.wikimedia.org/r/527916

Change 527917 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add 'rup' as alias for 'roa-rup'

https://gerrit.wikimedia.org/r/527917